summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Chapman <michapma@redhat.com>2016-07-13 17:14:16 -0400
committerMichael Chapman <michapma@redhat.com>2016-07-13 17:15:27 -0400
commitfd904a847cca8d8580ce226335b928092863db27 (patch)
tree9a2ec3164c49e36a65925eb50db91e0cadec3f79
parent5dc5309bdafb0e8800605e2248e4a837c84d3880 (diff)
Add python-redis to overcloud
python-redis is a dependency of ceilometer and aodh, but is missing from mitaka overcloud builds. The package install is conditional so that if this is fixed upstream the build won't break. Change-Id: I22b62b77d774c4de3b9af57e8bbcb46e7393aa38 Signed-off-by: Michael Chapman <michapma@redhat.com>
-rwxr-xr-xbuild/overcloud-full.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 01f40269..c40a8438 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -67,6 +67,7 @@ popd > /dev/null
# install doctor driver ## Can be removed in Newton
LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../opnfv-puppet-tripleo.tar.gz:/etc/puppet/modules \
+ --run-command "if ! rpm -qa | grep python-redis; then yum install -y python-redis; fi" \
--run-command "sed -i 's/^#UseDNS.*$/UseDNS no/' /etc/ssh/sshd_config" \
--run-command "sed -i 's/^GSSAPIAuthentication.*$/GSSAPIAuthentication no/' /etc/ssh/sshd_config" \
--run-command "cd /etc/puppet/modules && rm -rf tripleo && tar xzf opnfv-puppet-tripleo.tar.gz" \